<?php

use Symfony\Component\Filesystem\Filesystem as SymfonyFilesystem;

include __DIR__.'/../config.inc.php';

// File e cartelle deprecate
$files = [
    'assets/src/js/wacom/sigCaptDialog/libs/',
    'modules/impianti/plugins/',
    'modules/voci_servizio/',
    'database.json',
    'database_5_7.json',
];

foreach ($files as $key => $value) {
    $files[$key] = realpath(base_dir().'/'.$value);
}

delete($files);

/* Fix per file sql di update aggiornato dopo rilascio 2.4.35 */
$has_column = null;
$col_righe = $database->fetchArray('SHOW COLUMNS FROM `zz_groups`');
$has_column = array_search('id_module_start', array_column($col_righe, 'Field'));
if (empty($has_column)) {
    $database->query('ALTER TABLE `zz_groups` ADD `id_module_start` INT NULL AFTER `editable`');
}

if ($backup_dir) {
    /* Rinomino i file zip all'interno della cartella di backup, aggiungendo "FULL" alla fine del nome */
    $filesystem = new SymfonyFilesystem();
    // glob viene utilizzata per ottenere la lista dei file zip all'interno della cartella $backup_dir.
    $files = glob($backup_dir.'/*.zip');

    foreach ($files as $file) {
        $fileName = basename($file);

        if (strpos($fileName, 'FULL') === false) {
            $newFileName = pathinfo($fileName, PATHINFO_FILENAME).' FULL.zip';
            $newFilePath = $backup_dir.'/'.$newFileName;

            $filesystem->rename($file, $newFilePath);
        }
    }
} else {
    echo "Impossibile completare l'aggiornamento. Variabile <b>$backup_dir</b> non impostata.\n";
}

// Aggiunta record per lingua inglese
$tables = [
    'an_provenienze_lang',
    'an_relazioni_lang',
    'an_settori_lang',
    'an_tipianagrafiche_lang',
    'co_pagamenti_lang',
    'co_staticontratti_lang',
    'co_statidocumento_lang',
    'co_statipreventivi_lang',
    'co_tipidocumento_lang',
    'co_tipi_scadenze_lang',
    'do_categorie_lang',
    'dt_aspettobeni_lang',
    'dt_causalet_lang',
    'dt_porto_lang',
    'dt_spedizione_lang',
    'dt_statiddt_lang',
    'dt_tipiddt_lang',
    'em_lists_lang',
    'em_templates_lang',
    'fe_stati_documento_lang',
    'in_fasceorarie_lang',
    'in_statiintervento_lang',
    'in_tipiintervento_lang',
    'mg_articoli_lang',
    'mg_attributi_lang',
    'mg_categorie_lang',
    'mg_causali_movimenti_lang',
    'mg_combinazioni_lang',
    'or_statiordine_lang',
    'or_tipiordine_lang',
    'zz_cache_lang',
    'zz_currencies_lang',
    'zz_groups_lang',
    'zz_group_module_lang',
    'zz_hooks_lang',
    'zz_imports_lang',
    'zz_modules_lang',
    'zz_plugins_lang',
    'zz_prints_lang',
    'zz_segments_lang',
    'zz_settings_lang',
    'zz_tasks_lang',
    'zz_views_lang',
    'zz_widgets_lang',
];

foreach ($tables as $table) {
    $database->query('CREATE TEMPORARY TABLE `tmp` SELECT * FROM '.$table);
    $database->query('ALTER TABLE `tmp` DROP `id`');
    $database->query('UPDATE `tmp` SET `id_lang` = 2');
    $database->query('INSERT INTO '.$table.' SELECT NULL,tmp. * FROM tmp');
    $database->query('DROP TEMPORARY TABLE tmp');
}

$traduzioni = [
    // traduzione zz_modules_lang
    ['zz_modules_lang', 'Entities', 'Anagrafiche'],
    ['zz_modules_lang', 'Tasks', 'Interventi'],
    ['zz_modules_lang', 'Updates', 'Aggiornamenti'],
    ['zz_modules_lang', 'Type of entities', 'Tipi di anagrafiche'],
    ['zz_modules_lang', 'Type of tasks', 'Tipi di intervento'],
    ['zz_modules_lang', 'Tasks status', 'Stati di intervento'],
    ['zz_modules_lang', 'Accounting', 'Contabilità'],
    ['zz_modules_lang', 'Quotations', 'Preventivi'],
    ['zz_modules_lang', 'Sales invoices', 'Fatture di vendita'],
    ['zz_modules_lang', 'Purchase invoices', 'Fatture di acquisto'],
    ['zz_modules_lang', 'Scheduled payments', 'Scadenzario'],
    ['zz_modules_lang', 'Storage', 'Magazzino'],
    ['zz_modules_lang', 'Pricing lists', 'Listini'],
    ['zz_modules_lang', 'Customer orders', 'Ordini cliente'],
    ['zz_modules_lang', 'Supplier orders', 'Ordini fornitore'],
    ['zz_modules_lang', 'Sales delivery document', 'Ddt di vendita'],
    ['zz_modules_lang', 'Suppliers delivery document', 'Ddt di acquisto'],
    ['zz_modules_lang', 'Areas', 'Zone'],
    ['zz_modules_lang', 'Technicians rates', 'Tecnici e tariffe'],
    ['zz_modules_lang', 'Balances', 'Piano dei conti'],
    ['zz_modules_lang', 'Products', 'Articoli'],
    ['zz_modules_lang', 'Discounts and Surcharges', 'Piani di sconto/maggiorazione'],
    ['zz_modules_lang', 'Plants', 'Impianti'],
    ['zz_modules_lang', 'Contracts', 'Contratti'],
    ['zz_modules_lang', 'Sales', 'Vendite'],
    ['zz_modules_lang', 'Purchases', 'Acquisti'],
    ['zz_modules_lang', 'Tools', 'Strumenti'],
    ['zz_modules_lang', 'Views', 'Viste'],
    ['zz_modules_lang', 'Users and permissions', 'Utenti e permessi'],
    ['zz_modules_lang', 'Settings', 'Impostazioni'],
    ['zz_modules_lang', 'Tables', 'Tabelle'],
    ['zz_modules_lang', 'VAT', 'IVA'],
    ['zz_modules_lang', 'Causals', 'Causali'],
    ['zz_modules_lang', 'Goods appearances', 'Aspetto beni'],
    ['zz_modules_lang', 'Units of measure', 'Unità di misura'],
    ['zz_modules_lang', 'Payments', 'Pagamenti'],
    ['zz_modules_lang', 'Products categories', 'Categorie articoli'],
    ['zz_modules_lang', 'Movements', 'Movimenti'],
    ['zz_modules_lang', 'Stats', 'Statistiche'],
    ['zz_modules_lang', 'Email accounts', 'Account email'],
    ['zz_modules_lang', 'Email templates', 'Template email'],
    ['zz_modules_lang', 'Email settings', 'Gestione email'],
    ['zz_modules_lang', 'Segments', 'Segmenti'],
    ['zz_modules_lang', 'Banks', 'Banche'],
    ['zz_modules_lang', 'Custom fields', 'Campi personalizzati'],
    ['zz_modules_lang', 'Documents management', 'Gestione documentale'],
    ['zz_modules_lang', 'Document categories', 'Categorie documenti'],
    ['zz_modules_lang', 'Types of shipping', 'Tipi di spedizione'],
    ['zz_modules_lang', 'Plants categories', 'Categorie impianti'],
    ['zz_modules_lang', 'Quote statuses', 'Stati dei preventivi'],
    ['zz_modules_lang', 'Contract statuses', 'Stati dei contratti'],
    ['zz_modules_lang', 'Services status', 'Stato dei servizi'],
    ['zz_modules_lang', 'Type of deadlines', 'Tipi scadenze'],
    ['zz_modules_lang', 'Email queue', 'Coda di invio'],
    ['zz_modules_lang', 'Lists', 'Liste'],
    ['zz_modules_lang', 'Relations', 'Relazioni'],
    ['zz_modules_lang', 'Prints', 'Stampe'],
    ['zz_modules_lang', 'Movements causes', 'Causali movimenti'],
    ['zz_modules_lang', 'Stock locations', 'Giacenze sedi'],
    ['zz_modules_lang', 'Types of document', 'Tipi documento'],
    ['zz_modules_lang', 'Combination attributes', 'Attributi combinazioni'],
    ['zz_modules_lang', 'Combinations', 'Combinazioni'],
    ['zz_modules_lang', 'Contact roles', 'Mansioni referenti'],
    ['zz_modules_lang', 'Time slots', 'Fasce orarie'],
    ['zz_modules_lang', 'Events', 'Eventi'],
    ['zz_modules_lang', 'Customers origins', 'Provenienze clienti'],
    ['zz_modules_lang', 'Product sectors', 'Settori merceologici'],
    ['zz_modules_lang', 'Maps', 'Mappa'],
    ['zz_modules_lang', 'Customers price lists', 'Listini cliente'],
    ['zz_modules_lang', 'Orders statuses', 'Stati degli ordini'],
    ['zz_modules_lang', 'Invoices statuses', 'Stati fatture'],
    ['zz_modules_lang', 'Internal tasks management', 'Gestione task'],
    ['zz_modules_lang', 'Vehicles', 'Automezzi'],
    ['zz_modules_lang', 'OAuth access', 'Accesso con OAuth'],
    ['zz_modules_lang', 'Storage connectors', 'Adattatori di archiviazione'],
    ['zz_modules_lang', 'test', 'test'],
    // traduzione zz_plugins_lang
    ['zz_plugins_lang', 'Client plants', 'Impianti del cliente'],
    ['zz_plugins_lang', 'Plants', 'Impianti'],
    ['zz_plugins_lang', 'Contacts', 'Referenti'],
    ['zz_plugins_lang', 'Locations', 'Sedi'],
    ['zz_plugins_lang', 'Statistics', 'Statistiche'],
    ['zz_plugins_lang', 'Performed tasks', 'Interventi svolti'],
    ['zz_plugins_lang', 'Movements', 'Movimenti'],
    ['zz_plugins_lang', 'Serial', 'Serial'],
    ['zz_plugins_lang', 'Final costs', 'Consuntivo'],
    ['zz_plugins_lang', 'Tasks schedulation', 'Pianificazione attività'],
    ['zz_plugins_lang', 'Customer sales delivery document', 'Ddt del cliente'],
    ['zz_plugins_lang', 'Electronic invoicing', 'Fatturazione elettronica'],
    ['zz_plugins_lang', 'Revisions', 'Revisioni'],
    ['zz_plugins_lang', 'Electronic invoices receipts', 'Ricevute FE'],
    ['zz_plugins_lang', 'Stocks', 'Giacenze'],
    ['zz_plugins_lang', 'Renewals', 'Rinnovi'],
    ['zz_plugins_lang', 'Statistics', 'Statistiche'],
    ['zz_plugins_lang', 'Intent declarations', 'Dichiarazioni d\'intento'],
    ['zz_plugins_lang', 'Billing scheduling', 'Pianificazione fatturazione'],
    ['zz_plugins_lang', 'Net customers', 'Netto clienti'],
    ['zz_plugins_lang', 'Tasks history', 'Storico attività'],
    ['zz_plugins_lang', 'Attachments', 'Allegati'],
    ['zz_plugins_lang', 'Components', 'Componenti'],
    ['zz_plugins_lang', 'Supplier price list', 'Listino fornitori'],
    ['zz_plugins_lang', 'Discount/surcharge plans', 'Piani di sconto/maggiorazione'],
    ['zz_plugins_lang', 'Article variants', 'Varianti articolo'],
    ['zz_plugins_lang', 'Customer contracts', 'Contratti del cliente'],
    ['zz_plugins_lang', 'Accounting movements', 'Movimenti contabili'],
    ['zz_plugins_lang', 'Bank presentations', 'Presentazioni bancarie'],
    ['zz_plugins_lang', 'Payment rules', 'Regole pagamenti'],
    ['zz_plugins_lang', 'Registrations', 'Registrazioni'],
    ['zz_plugins_lang', 'Commissions', 'Provvigioni'],
    ['zz_plugins_lang', 'Sales statistics', 'Statistiche vendita'],
    // traduzione zz_currencies_lang
    ['zz_currencies_lang', 'Pound', 'Sterlina'],
    ['zz_currencies_lang', 'Dollar', 'Dollaro'],
];

foreach ($traduzioni as $traduzione) {
    $database->query('UPDATE '.$traduzione[0].' SET `title` = '.prepare($traduzione[1]).' WHERE `name` = '.prepare($traduzione[2]).' AND `id_lang` = 2');
}

$traduzioni = [
    // Traduzione zz_widgets_lang
    ['zz_widgets_lang', 'Customers number', 'Numero di clienti'],
    ['zz_widgets_lang', 'Technicians number', 'Numero di tecnici'],
    ['zz_widgets_lang', 'Supplier number', 'Numero di fornitori'],
    ['zz_widgets_lang', 'Agents number', 'Numero di Agenti'],
    ['zz_widgets_lang', 'Reminders for contracts to plan', 'Promemoria contratti da pianificare'],
    ['zz_widgets_lang', 'Deadlines', 'Scadenze'],
    ['zz_widgets_lang', 'Products running out', 'Articoli in esaurimento'],
    ['zz_widgets_lang', 'Quotations in process', 'Preventivi in lavorazione'],
    ['zz_widgets_lang', 'Contracts due for renewal', 'Contratti in scadenza'],
    ['zz_widgets_lang', 'Contractual rates', 'Rate contrattuali'],
    ['zz_widgets_lang', 'Inventory printout', 'Stampa inventario'],
    ['zz_widgets_lang', 'Sales revenue', 'Fatturato'],
    ['zz_widgets_lang', 'Purchases', 'Acquisti'],
    ['zz_widgets_lang', 'Customer credit balances', 'Crediti da clienti'],
    ['zz_widgets_lang', 'Bills due', 'Debiti verso fornitori'],
    ['zz_widgets_lang', 'Number of carriers', 'Numero di vettori'],
    ['zz_widgets_lang', 'All entities records', 'Tutte le anagrafiche'],
    ['zz_widgets_lang', 'Inventory value', 'Valore magazzino'],
    ['zz_widgets_lang', 'Items in stock', 'Articoli in magazzino'],
    ['zz_widgets_lang', 'Print calendar', 'Stampa calendario'],
    ['zz_widgets_lang', 'Planned tasks', 'Attività da pianificare'],
    ['zz_widgets_lang', 'Tasks to be scheduled', 'Attività nello stato da programmare'],
    ['zz_widgets_lang', 'Confirmed tasks', 'Attività confermate'],
    ['zz_widgets_lang', 'Inventory usage', 'Spazio utilizzato'],
    ['zz_widgets_lang', 'Internal notes', 'Note interne'],
    ['zz_widgets_lang', 'Unsubscribed synchronization', 'Sincronizzazione disiscritti'],
    ['zz_widgets_lang', 'Active price lists', 'Listini attivi'],
    ['zz_widgets_lang', 'Expired price lists', 'Listini scaduti'],
    ['zz_widgets_lang', 'Weekly calendar printout', 'Stampa calendario settimanale'],
    ['zz_widgets_lang', 'Quotations to invoice', 'Preventivi da fatturare'],
    ['zz_widgets_lang', 'Print load/unload document', 'Stampa carico odierno'],
    ['zz_widgets_lang', 'Print inventory report', 'Stampa giacenza'],
    ['zz_widgets_lang', 'Print assets report', 'Stampa cespiti'],
];

foreach ($traduzioni as $traduzione) {
    $database->query('UPDATE '.$traduzione[0].' SET `text` = '.prepare($traduzione[1]).' WHERE `name` = '.prepare($traduzione[2]).' AND `id_lang` = 2');
    $database->query('UPDATE '.$traduzione[0].' SET `name` = '.prepare($traduzione[1]).' WHERE `name` = '.prepare($traduzione[2]).' AND `id_lang` = 2');
}

$traduzioni = [
    // traduzione an_provenienze_lang
    ['an_provenienze_lang', 'Web site', 'Sito web'],
    ['an_provenienze_lang', 'Word of mouth', 'Passaparola'],
    // traduzione an_relazioni_lang
    ['an_relazioni_lang', 'To be contacted', 'Da contattare'],
    ['an_relazioni_lang', 'To be called back', 'Da richiamare'],
    ['an_relazioni_lang', 'Don\'t call back', 'Da non richiamare'],
    ['an_relazioni_lang', 'Scheduled appointment', 'Appuntamento fissato'],
    ['an_relazioni_lang', 'Active', 'Attivo'],
    ['an_relazioni_lang', 'Standby', 'Dormiente'],
    // traduzione an_tipianagrafiche_lang
    ['an_tipianagrafiche_lang', 'Customer', 'Cliente'],
    ['an_tipianagrafiche_lang', 'Technician', 'Tecnico'],
    ['an_tipianagrafiche_lang', 'Company', 'Azienda'],
    ['an_tipianagrafiche_lang', 'Supplier', 'Fornitore'],
    ['an_tipianagrafiche_lang', 'Carrier', 'Vettore'],
    ['an_tipianagrafiche_lang', 'Agent', 'Agente'],
    // traduzione co_pagamenti_lang
    ['co_pagamenti_lang', 'Direct deposit', 'Rimessa diretta'],
    ['co_pagamenti_lang', 'Direct deposit 30 days', 'Rimessa diretta a 30gg'],
    ['co_pagamenti_lang', 'Direct deposit 30 days fixed at 15', 'Rimessa diretta 30gg fisso al 15'],
    ['co_pagamenti_lang', 'Direct debit 30 days i.d.', 'Ri.Ba. 30gg d.f.'],
    ['co_pagamenti_lang', 'Direct debit 60 days i.d.', 'Ri.Ba. 60gg d.f.'],
    ['co_pagamenti_lang', 'Direct debit 90 days i.d.', 'Ri.Ba. 90gg d.f.'],
    ['co_pagamenti_lang', 'Direct debit 120 days i.d.', 'Ri.Ba. 120gg d.f.'],
    ['co_pagamenti_lang', 'Direct debit 150 days i.d.', 'Ri.Ba. 150gg d.f.'],
    ['co_pagamenti_lang', 'Direct debit 180 days i.d.', 'Ri.Ba. 180gg d.f.'],
    ['co_pagamenti_lang', 'Direct debit 30/60 days i.d.', 'Ri.Ba. 30/60gg d.f.'],
    ['co_pagamenti_lang', 'Direct debit 30/60/90 days i.d.', 'Ri.Ba. 30/60/90gg d.f.'],
    ['co_pagamenti_lang', 'Direct debit 30/60/90/120 days i.d.', 'Ri.Ba. 30/60/90/120gg d.f.'],
    ['co_pagamenti_lang', 'Direct debit 30/60/90/120/150 days i.d.', 'Ri.Ba. 30/60/90/120/150gg d.f.'],
    ['co_pagamenti_lang', 'Direct debit 30/60/90/120/150/180 days i.d.', 'Ri.Ba. 30/60/90/120/150/180gg d.f.'],
    ['co_pagamenti_lang', 'Direct debit 30 days e.o.m.i.d.', 'Ri.Ba. 30gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Direct debit 60 days e.o.m.i.d.', 'Ri.Ba. 60gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Direct debit 90 days e.o.m.i.d.', 'Ri.Ba. 90gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Direct debit 120 days e.o.m.i.d.', 'Ri.Ba. 120gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Direct debit 150 days e.o.m.i.d.', 'Ri.Ba. 150gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Direct debit 180 days e.o.m.i.d.', 'Ri.Ba. 180gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Direct debit 30/60 days e.o.m.i.d.', 'Ri.Ba. 30/60gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Direct debit 30/60/90 days e.o.m.i.d.', 'Ri.Ba. 30/60/90gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Direct debit 30/60/90/120 days e.o.m.i.d.', 'Ri.Ba. 30/60/90/120gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Direct debit 30/60/90/120/150 days e.o.m.i.d.', 'Ri.Ba. 30/60/90/120/150gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Direct debit 30/60/90/120/150/180 days e.o.m.i.d.', 'Ri.Ba. 30/60/90/120/150/180gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Bank transfer 30 days i.d.', 'Bonifico 30gg d.f.'],
    ['co_pagamenti_lang', 'Bank transfer 60 days i.d.', 'Bonifico 60gg d.f.'],
    ['co_pagamenti_lang', 'Bank transfer 90 days i.d.', 'Bonifico 90gg d.f.'],
    ['co_pagamenti_lang', 'Bank transfer 120 days i.d.', 'Bonifico 120gg d.f.'],
    ['co_pagamenti_lang', 'Bank transfer 150 days i.d.', 'Bonifico 150gg d.f.'],
    ['co_pagamenti_lang', 'Bank transfer 180 days i.d.', 'Bonifico 180gg d.f.'],
    ['co_pagamenti_lang', 'Bank transfer 30/60 days i.d.', 'Bonifico 30/60gg d.f.'],
    ['co_pagamenti_lang', 'Bank transfer 30/60/90 days i.d.', 'Bonifico 30/60/90gg d.f.'],
    ['co_pagamenti_lang', 'Bank transfer 30/60/90/120 days i.d.', 'Bonifico 30/60/90/120gg d.f.'],
    ['co_pagamenti_lang', 'Bank transfer 30/60/90/120/150 days i.d.', 'Bonifico 30/60/90/120/150gg d.f.'],
    ['co_pagamenti_lang', 'Bank transfer 30/60/90/120/150/180gg d.f.', 'Bonifico 30/60/90/120/150/180gg d.f.'],
    ['co_pagamenti_lang', 'Bank transfer 30 days e.o.m.i.d.', 'Bonifico 30gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Bank transfer 60 days e.o.m.i.d.', 'Bonifico 60gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Bank transfer 90 days e.o.m.i.d.', 'Bonifico 90gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Bank transfer 120 days e.o.m.i.d.', 'Bonifico 120gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Bank transfer 150 days e.o.m.i.d.', 'Bonifico 150gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Bank transfer 180 days e.o.m.i.d.', 'Bonifico 180gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Bank transfer 30/60 days e.o.m.i.d.', 'Bonifico 30/60gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Bank transfer 30/60/90 days e.o.m.i.d.', 'Bonifico 30/60/90gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Bank transfer 30/60/90/120 days e.o.m.i.d.', 'Bonifico 30/60/90/120gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Bank transfer 30/60/90/120/150 days e.o.m.i.d.', 'Bonifico 30/60/90/120/150gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Bank transfer 30/60/90/120/150/180 days e.o.m.i.d.', 'Bonifico 30/60/90/120/150/180gg d.f.f.m.'],
    ['co_pagamenti_lang', 'Bill of exchange', 'Cambiale'],
    ['co_pagamenti_lang', 'Check', 'Assegno'],
    ['co_pagamenti_lang', 'ATM card', 'Bancomat'],
    ['co_pagamenti_lang', 'Cash', 'Contanti'],
    ['co_pagamenti_lang', 'Visa', 'Visa'],
    ['co_pagamenti_lang', 'Bank transfer', 'Bonifico bancario'],
    ['co_pagamenti_lang', 'Bank draft', 'Assegno circolare'],
    ['co_pagamenti_lang', 'Cash at treasury', 'Contanti presso Tesoreria'],
    ['co_pagamenti_lang', 'Currency exchange', 'Vaglia cambiario'],
    ['co_pagamenti_lang', 'Bank bulletin', 'Bollettino bancario'],
    ['co_pagamenti_lang', 'Direct Debit', 'RID'],
    ['co_pagamenti_lang', 'Direct Debit bill', 'RID utenze'],
    ['co_pagamenti_lang', 'Fast Direct Debit', 'RID veloce'],
    ['co_pagamenti_lang', 'Method of payment of income taxes and surtaxes', 'MAV'],
    ['co_pagamenti_lang', 'Tax waiver certificate', 'Quietanza erario'],
    ['co_pagamenti_lang', 'Transfer to special ledger accounts', 'Giroconto su conti di contabilità speciale'],
    ['co_pagamenti_lang', 'Direct debit', 'Domiciliazione bancaria'],
    ['co_pagamenti_lang', 'Postal direct debit', 'Domiciliazione postale'],
    ['co_pagamenti_lang', 'Postal account statement', 'Bollettino di c/c postale'],
    ['co_pagamenti_lang', 'SEPA Direct Debit', 'SEPA Direct Debit'],
    ['co_pagamenti_lang', 'SEPA Direct Debit CORE', 'SEPA Direct Debit CORE'],
    ['co_pagamenti_lang', 'SEPA Direct Debit B2B', 'SEPA Direct Debit B2B'],
    ['co_pagamenti_lang', 'Withholding on sums already collected', 'Trattenuta su somme già riscosse'],
    ['co_pagamenti_lang', 'PagoPA', 'PagoPA'],
    ['co_pagamenti_lang', 'Bank receipt', 'Ri.Ba.'],
    // traduzione co_staticontratti_lang
    ['co_staticontratti_lang', 'Draft', 'Bozza'],
    ['co_staticontratti_lang', 'Waiting for confirmation', 'In attesa di conferma'],
    ['co_staticontratti_lang', 'Accepted', 'Accettato'],
    ['co_staticontratti_lang', 'Rejected', 'Rifiutato'],
    ['co_staticontratti_lang', 'In progress', 'In lavorazione'],
    ['co_staticontratti_lang', 'Billed', 'Fatturato'],
    ['co_staticontratti_lang', 'Paid', 'Pagato'],
    ['co_staticontratti_lang', 'Closed', 'Concluso'],
    ['co_staticontratti_lang', 'Partially billed', 'Parzialmente fatturato'],
    // traduzione co_statidocumento_lang
    ['co_statidocumento_lang', 'Paid', 'Pagato'],
    ['co_statidocumento_lang', 'Draft', 'Bozza'],
    ['co_statidocumento_lang', 'Issued', 'Emessa'],
    ['co_statidocumento_lang', 'Canceled', 'Annullata'],
    ['co_statidocumento_lang', 'Partially paid', 'Parzialmente pagato'],
    ['co_statidocumento_lang', 'Invalid', 'Non valida'],
    // traduzione co_statipreventivi_lang
    ['co_statipreventivi_lang', 'Draft', 'Bozza'],
    ['co_statipreventivi_lang', 'Waiting for confirmation', 'In attesa di conferma'],
    ['co_statipreventivi_lang', 'Accepted', 'Accettato'],
    ['co_statipreventivi_lang', 'Rejected', 'Rifiutato'],
    ['co_statipreventivi_lang', 'In progress', 'In lavorazione'],
    ['co_statipreventivi_lang', 'Closed', 'Concluso'],
    ['co_statipreventivi_lang', 'Paid', 'Pagato'],
    ['co_statipreventivi_lang', 'Billed', 'Fatturato'],
    ['co_statipreventivi_lang', 'Partially billed', 'Parzialmente fatturato'],
    // traduzione co_tipidocumento_lang
    ['co_tipidocumento_lang', 'Purchase invoice', 'Fattura immediata di acquisto'],
    ['co_tipidocumento_lang', 'Sale invoice', 'Fattura immediata di vendita'],
    ['co_tipidocumento_lang', 'Credit note', 'Nota di credito'],
    ['co_tipidocumento_lang', 'Debit note', 'Nota di debito'],
    // traduzione do_categorie_lang
    ['do_categorie_lang', 'Company documents', 'Documenti società'],
    ['do_categorie_lang', 'Employee hiring contracts', 'Contratti assunzione personale'],
    // traduzione dt_aspettobeni_lang
    ['dt_aspettobeni_lang', 'At sight', 'A vista'],
    ['dt_aspettobeni_lang', 'Large boxes', 'Cartoni'],
    ['dt_aspettobeni_lang', 'Bags', 'Sacchi'],
    ['dt_aspettobeni_lang', 'Box', 'Scatola'],
    // traduzione dt_causalet_lang
    ['dt_causalet_lang', 'Sale', 'Vendita'],
    ['dt_causalet_lang', 'Leasing', 'Noleggio'],
    ['dt_causalet_lang', 'Return', 'Reso'],
    ['dt_causalet_lang', 'Manufacturing', 'Conto lavorazione'],
    ['dt_causalet_lang', 'View', 'Conto visione'],
    ['dt_causalet_lang', 'Gift', 'Omaggio'],
    // traduzione dt_porto_lang
    ['dt_porto_lang', 'Assigned', 'Assegnato'],
    // traduzione dt_spedizione_lang
    ['dt_spedizione_lang', 'Express', 'Espressa'],
    ['dt_spedizione_lang', 'Carrier', 'Vettore'],
    ['dt_spedizione_lang', 'Warehouse withdrawal', 'Ritiro in magazzino'],
    // traduzione dt_statiddt_lang
    ['dt_statiddt_lang', 'Draft', 'Bozza'],
    ['dt_statiddt_lang', 'Processed', 'Evaso'],
    ['dt_statiddt_lang', 'Billed', 'Fatturato'],
    ['dt_statiddt_lang', 'Partially billed', 'Parzialmente fatturato'],
    ['dt_statiddt_lang', 'Partially processed', 'Parzialmente evaso'],
    // traduzione dt_tipiddt_lang
    ['dt_tipiddt_lang', 'Inbound transport document', 'Ddt in entrata'],
    ['dt_tipiddt_lang', 'Outbound transport document', 'Ddt in uscita'],
    // traduzioni fe_stati_documento_lang
    ['fe_stati_documento_lang', 'Trasmission attestation', 'Attestazione trasmissione'],
    ['fe_stati_documento_lang', 'Term expiration', 'Decorrenza termini'],
    ['fe_stati_documento_lang', 'Accepted', 'Accettata'],
    ['fe_stati_documento_lang', 'Rejected', 'Rifiutata'],
    ['fe_stati_documento_lang', 'Transmission failed', 'Trasmissione non riuscita'],
    ['fe_stati_documento_lang', 'Validation error', 'Errore di validazione'],
    ['fe_stati_documento_lang', 'Generated', 'Generata'],
    ['fe_stati_documento_lang', 'Undelivered', 'Mancata consegna'],
    ['fe_stati_documento_lang', 'Result notification', 'Notifica esito'],
    ['fe_stati_documento_lang', 'Discarded', 'Scartata'],
    ['fe_stati_documento_lang', 'Processing queue', 'In coda di elaborazione'],
    ['fe_stati_documento_lang', 'Delivered', 'Consegnata'],
    ['fe_stati_documento_lang', 'In process', 'In elaborazione'],
    // traduzione in_fasceorarie_lang
    ['in_fasceorarie_lang', 'Ordinary', 'Ordinario'],
    // traduzione in_statiintervento_lang
    ['in_statiintervento_lang', 'To plan', 'Da programmare'],
    ['in_statiintervento_lang', 'Billed', 'Fatturato'],
    ['in_statiintervento_lang', 'Completed', 'Completato'],
    ['in_statiintervento_lang', 'Planned', 'Programmato'],
    // traduzione in_tipiintervento_lang
    ['in_tipiintervento_lang', 'Generic', 'Generico'],
    ['in_tipiintervento_lang', 'Service order', 'Ordine di servizio'],
    // traduzione mg_categorie_lang
    ['mg_categorie_lang', 'Components', 'Componenti'],
    // traduzioni or_statiordine_lang
    ['or_statiordine_lang', 'Draft', 'Bozza'],
    ['or_statiordine_lang', 'Processed', 'Evaso'],
    ['or_statiordine_lang', 'Partially processed', 'Parzialmente evaso'],
    ['or_statiordine_lang', 'Partially billed', 'Parzialmente fatturato'],
    ['or_statiordine_lang', 'Billed', 'Fatturato'],
    ['or_statiordine_lang', 'Waiting for confirmation', 'In attesa di conferma'],
    ['or_statiordine_lang', 'Accepted', 'Accettato'],
    ['or_statiordine_lang', 'Cancelled', 'Annullato'],
    // traduzione or_tipiordine_lang
    ['or_tipiordine_lang', 'Supplier order', 'Ordine fornitore'],
    ['or_tipiordine_lang', 'Customer order', 'Ordine cliente'],
    // traduzione zz_cache_lang
    ['zz_cache_lang', 'Electronic receipt', 'Ricevute Elettroniche'],
    ['zz_cache_lang', 'Imported Electronic receipt', 'Ricevute Elettroniche importate'],
    ['zz_cache_lang', 'Electronic invoices', 'Fatture Elettroniche'],
    ['zz_cache_lang', 'Last OpenSTAManager version available', 'Ultima versione di OpenSTAManager disponibile'],
    ['zz_cache_lang', 'Last cron execution', 'Ultima esecuzione del cron'],
    ['zz_cache_lang', 'Cron ID', 'ID del cron'],
    ['zz_cache_lang', 'Cron in execution', 'Cron in esecuzione'],
    ['zz_cache_lang', 'Deactivate cron', 'Disabilita cron'],
    ['zz_cache_lang', 'Used space', 'Spazio utilizzato'],
    ['zz_cache_lang', 'Services information', 'Informazioni su Services'],
    ['zz_cache_lang', 'Electronic invoices occupied space informations', 'Informazioni su spazio FE'],
    // traduzione zz_groups_lang
    ['zz_groups_lang', 'Administrators', 'Amministratori'],
    ['zz_groups_lang', 'Technicians', 'Tecnici'],
    ['zz_groups_lang', 'Agents', 'Agenti'],
    ['zz_groups_lang', 'Customers', 'Clienti'],
    // traduzione zz_group_module_lang
    ['zz_group_module_lang', 'Show to technician only his assigned and planned tasks', 'Mostra al tecnico solo le sue attività programmate e assegnate'],
    ['zz_group_module_lang', 'Show to technicians only the entities they are involved with in tasks', 'Mostra ai tecnici solo le anagrafiche in cui sono coinvolti con delle attività'],
    ['zz_group_module_lang', 'Show to agents only the entities in which they are assigned as agent', 'Mostra agli agenti solo le anagrafiche di cui sono agenti'],
    ['zz_group_module_lang', 'Show to customers only his own entity', 'Mostra ai clienti solo la propria anagrafica'],
    ['zz_group_module_lang', 'Show to customers only tasks in which he is the customer', 'Mostra al cliente solo le attività in cui è impostato come \'Cliente\''],
    ['zz_group_module_lang', 'Show to customers only his invoices', 'Mostra ai clienti solo le proprie fatture'],
    ['zz_group_module_lang', 'Show to agents only the balances of entities in which they are assigned as agent', 'Mostra agli agenti solo la prima nota delle anagrafiche di cui sono agenti'],
    ['zz_group_module_lang', 'Show to customers only his own plants', 'Mostra ai clienti solo i propri impianti'],
    ['zz_group_module_lang', 'Show to customers their document of transport', 'Mostra ddt di vendita ai clienti coinvolti'],
    ['zz_group_module_lang', 'Show to customers their orders', 'Mostra ordini cliente ai clienti coinvolti'],
    ['zz_group_module_lang', 'Show to technicians only his assigned tasks', 'Mostra al tecnico solo le attività a cui è stato assegnato'],
    ['zz_group_module_lang', 'Show to customers only their contracts', 'Mostra i contratti ai clienti coinvolti'],
    ['zz_group_module_lang', 'Show to technicians only plants in which they are assigned', 'Mostra impianti ai tecnici assegnati'],
    ['zz_group_module_lang', 'Show to agents only the quotations of customers in which they are assigned as agent', 'Mostra agli agenti solo i preventivi dei clienti dei quali si è agenti'],
    ['zz_group_module_lang', 'Show to agents only the quotations in which they are assigned as agent', 'Mostra agli agenti solo i preventivi di cui sono agenti'],
    ['zz_group_module_lang', 'Show to customers only tasks in which he is setted as \'On behalf of\'', 'Mostra al cliente solo le attività in cui è impostato come \'Per conto di\''],
    ['zz_group_module_lang', 'Show to customers all tasks in which he is involved', 'Mostra al cliente tutte le attività in cui è coinvolto'],
    // traduzione zz_hooks_lang
    ['zz_hooks_lang', 'Receipts', 'Ricevute'],
    ['zz_hooks_lang', 'Invoices', 'Fatture'],
    ['zz_hooks_lang', 'Updates', 'Aggiornamenti'],
    ['zz_hooks_lang', 'Email', 'Email'],
    ['zz_hooks_lang', 'Electronic invoices', 'Fatture Elettroniche'],
    ['zz_hooks_lang', 'Space', 'Spazio'],
    ['zz_hooks_lang', 'Services informations', 'Informazioni su Services'],
    ['zz_hooks_lang', 'Electronic invoices receipts notifications', 'Notifiche su Ricevute FE'],
    // traduzione zz_imports_lang
    ['zz_imports_lang', 'Entities', 'Anagrafiche'],
    ['zz_imports_lang', 'Products', 'Articoli'],
    ['zz_imports_lang', 'Balances', 'Piano dei conti'],
    ['zz_imports_lang', 'Quotations', 'Preventivi'],
    ['zz_imports_lang', 'Plants', 'Impianti'],
    ['zz_imports_lang', 'Tasks', 'Attività'],
    ['zz_imports_lang', 'Consumes pricing lists', 'Listini cliente'],
    // traduzione zz_segments_lang
    ['zz_segments_lang', 'Standard sales', 'Standard vendite'],
    ['zz_segments_lang', 'Standard purchases', 'Standard acquisti'],
    ['zz_segments_lang', 'Pro-forma invoices', 'Fatture pro-forma'],
    ['zz_segments_lang', 'Total deadline', 'Scadenzario totale'],
    ['zz_segments_lang', 'Consumers deadline', 'Scadenzario clienti'],
    ['zz_segments_lang', 'Supplier deadline', 'Scadenzario fornitori'],
    ['zz_segments_lang', 'Generic deadline', 'Scadenzario generico'],
    ['zz_segments_lang', 'F24 deadline', 'Scadenzario F24'],
    ['zz_segments_lang', 'Complete deadline', 'Scadenzario completo'],
    ['zz_segments_lang', 'Standard tasks', 'Standard attività'],
    ['zz_segments_lang', 'Tasks', 'Attività'],
    ['zz_segments_lang', 'Reminders', 'Promemoria'],
    ['zz_segments_lang', 'All', 'Tutti'],
    ['zz_segments_lang', 'Supplier', 'Fornitori'],
    ['zz_segments_lang', 'Consumers', 'Clienti'],
    ['zz_segments_lang', 'Not completed', 'Non completate'],
    ['zz_segments_lang', 'Bank receipts deadline for customers', 'Scadenzario Ri.Ba. Clienti'],
    ['zz_segments_lang', 'Bank receipts deadline for suppliers', 'Scadenzario Ri.Ba. Fornitori'],
    ['zz_segments_lang', 'All', 'Tutte'],
    ['zz_segments_lang', 'Not send', 'Non inviate'],
    ['zz_segments_lang', 'Active only', 'Solo attivi'],
    ['zz_segments_lang', 'Not electronic invoices', 'Fatture non elettroniche'],
    ['zz_segments_lang', 'Auto-invoice', 'Autofatture'],
    ['zz_segments_lang', 'Standard quotations', 'Standard preventivi'],
    ['zz_segments_lang', 'Standard contracts', 'Standard contratti'],
    ['zz_segments_lang', 'Standard document of transport', 'Standard ddt in entrata'],
    ['zz_segments_lang', 'Standard document of transport', 'Standard ddt in uscita'],
    ['zz_segments_lang', 'Standard customers orders', 'Standard ordini cliente'],
    ['zz_segments_lang', 'Standard suppliers orders', 'Standard ordini fornitore'],
    ['zz_segments_lang', 'Auto-invoices deadline', 'Scadenzario autofatture'],
    ['zz_segments_lang', 'Available', 'Disponibili'],
    // traduzione zz_tasks_lang
    ['zz_tasks_lang', 'Automatic backup', 'Backup automatico'],
    ['zz_tasks_lang', 'Automatic electronic invoices receipts importation', 'Importazione automatica Ricevute FE'],
    ['zz_tasks_lang', 'Automatic mail queue deletion', 'Eliminazione automatica coda d\'invio'],
    ['zz_tasks_lang', 'Automatic mail sending', 'Invio automatico mail'],
    ['zz_tasks_lang', 'Deadline reminders', 'Solleciti scadenze'],
    // traduzione zz_views_lang
    ['zz_views_lang', 'Agent', 'Agente'],
    ['zz_views_lang', 'Attachments', 'Allegati'],
    ['zz_views_lang', 'Entity', 'Anagrafica'],
    ['zz_views_lang', 'Entities', 'Anagrafiche'],
    ['zz_views_lang', 'Products', 'Articoli'],
    ['zz_views_lang', 'Product', 'Articolo'],
    ['zz_views_lang', 'Active', 'Attivo'],
    ['zz_views_lang', 'Bank', 'Banca'],
    ['zz_views_lang', 'Company bank', 'Banca azienda'],
    ['zz_views_lang', 'Category', 'Categoria'],
    ['zz_views_lang', 'Causal', 'Causale'],
    ['zz_views_lang', 'Mobile number', 'Cellulare'],
    ['zz_views_lang', 'City', 'Città'],
    ['zz_views_lang', 'Consumer', 'Cliente'],
    ['zz_views_lang', 'Code', 'Codice'],
    ['zz_views_lang', 'SDI code', 'Codice destinatario'],
    ['zz_views_lang', 'Electric invoice code', 'Codice FE'],
    ['zz_views_lang', 'Code Mode', 'Codice Modalità'],
    ['zz_views_lang', 'Payment Code', 'Codice pagamento'],
    ['zz_views_lang', 'color', 'colore'],
    ['zz_views_lang', 'Color', 'Colore'],
    ['zz_views_lang', 'color_Color', 'color_Colore'],
    ['zz_views_lang', 'color_Relation', 'color_Relazione'],
    ['zz_views_lang', 'color_title_Relation', 'color_title_Relazione'],
    ['zz_views_lang', 'Completed', 'Completato'],
    ['zz_views_lang', 'Content', 'Contenuto'],
    ['zz_views_lang', 'Account', 'Conto'],
    ['zz_views_lang', 'Credit Account', 'Conto avere'],
    ['zz_views_lang', 'Debit Account', 'Conto dare'],
    ['zz_views_lang', 'Contract', 'Contratto'],
    ['zz_views_lang', 'Counterparty', 'Controparte'],
    ['zz_views_lang', 'Costs', 'Costi'],
    ['zz_views_lang', 'Cost per km', 'Costo al km'],
    ['zz_views_lang', 'Cost per km (technical)', 'Costo al km tecnico'],
    ['zz_views_lang', 'Cost per hour', 'Costo orario'],
    ['zz_views_lang', 'Cost per hour (technical)', 'Costo orario tecnico'],
    ['zz_views_lang', 'Deadline', 'Data scadenza'],
    ['zz_views_lang', 'Activation date', 'Data attivazione'],
    ['zz_views_lang', 'Completion date', 'Data conclusione'],
    ['zz_views_lang', 'Creation date', 'Data creazione'],
    ['zz_views_lang', 'Issue date', 'Data emissione'],
    ['zz_views_lang', 'End date', 'Data fine'],
    ['zz_views_lang', 'Start date', 'Data inizio'],
    ['zz_views_lang', 'Sending date', 'Data invio'],
    ['zz_views_lang', 'Movement date', 'Data movimento'],
    ['zz_views_lang', 'Deadline', 'Data scadenza'],
    ['zz_views_lang', 'Draft date', 'data_bozza'],
    ['zz_views_lang', 'Conclusion date', 'data_conclusione'],
    ['zz_views_lang', 'Request date', 'data_richiesta'],
    ['zz_views_lang', 'To be paid', 'da_pagare'],
    ['zz_views_lang', 'Description', 'Descrizione'],
    ['zz_views_lang', 'Deadline description', 'Descrizione scadenza'],
    ['zz_views_lang', 'Recipients', 'Destinatari'],
    ['zz_views_lang', 'Dynamic', 'Dinamica'],
    ['zz_views_lang', 'dir', 'dir'],
    ['zz_views_lang', 'Direction', 'Direzione'],
    ['zz_views_lang', 'Call-out fee', 'Diritto di chiamata'],
    ['zz_views_lang', 'Call-out fee (technician)', 'Diritto di chiamata tecnico'],
    ['zz_views_lang', 'Bill of payment', 'Distinta'],
    ['zz_views_lang', 'Sender email', 'Email mittente'],
    ['zz_views_lang', 'Debit/Credit', 'Esigibilità'],
    ['zz_views_lang', 'Export bill of payment', 'Esportazione distinta'],
    ['zz_views_lang', 'Expression', 'Expression'],
    ['zz_views_lang', 'Invoiceable', 'Fatturabile'],
    ['zz_views_lang', 'Festivity', 'Festività'],
    ['zz_views_lang', 'Branch', 'Filiale'],
    ['zz_views_lang', 'Supplier', 'Fornitore'],
    ['zz_views_lang', 'Days', 'Giorni'],
    ['zz_views_lang', 'Groups that can access', 'Gruppi con accesso'],
    ['zz_views_lang', 'Group', 'Gruppo'],
    ['zz_views_lang', 'IBAN', 'IBAN'],
    ['zz_views_lang', 'Icon', 'Icona'],
    ['zz_views_lang', 'icon_Electronic invoice', 'icon_FE'],
    ['zz_views_lang', 'icon_Sent', 'icon_Inviata'],
    ['zz_views_lang', 'icon_Sent', 'icon_Inviato'],
    ['zz_views_lang', 'icon_Default', 'icon_Predefinito'],
    ['zz_views_lang', 'icon_Extimated evasion', 'icon_Prev. evasione'],
    ['zz_views_lang', 'icon_Status', 'icon_Stato'],
    ['zz_views_lang', 'icon_title_Electronic invoice', 'icon_title_FE'],
    ['zz_views_lang', 'icon_title_Sent', 'icon_title_Inviata'],
    ['zz_views_lang', 'icon_title_Sent', 'icon_title_Inviato'],
    ['zz_views_lang', 'icon_title_Extimated evasion', 'icon_title_Prev. evasione'],
    ['zz_views_lang', 'icon_title_Status', 'icon_title_Stato'],
    ['zz_views_lang', 'Busy', 'Impegnato'],
    ['zz_views_lang', 'Plants', 'Impianti'],
    ['zz_views_lang', 'Taxable', 'Imponibile'],
    ['zz_views_lang', 'Amount', 'Importo'],
    ['zz_views_lang', 'Include holidays', 'Includi festività'],
    ['zz_views_lang', 'Address', 'Indirizzo'],
    ['zz_views_lang', 'Mask', 'Maschera'],
    ['zz_views_lang', 'Maximum', 'Massimo'],
    ['zz_views_lang', 'Registration number', 'Matricola'],
    ['zz_views_lang', 'Minimum', 'Minimo'],
    ['zz_views_lang', 'Module', 'Modulo'],
    ['zz_views_lang', 'Initial module', 'Modulo iniziale'],
    ['zz_views_lang', 'Enabled API', 'N. API abilitate'],
    ['zz_views_lang', 'Protocol n°', 'N. Prot.'],
    ['zz_views_lang', 'N° of users', 'N. utenti'],
    ['zz_views_lang', 'Enabled users', 'N. utenti abilitati'],
    ['zz_views_lang', 'Nature', 'Natura'],
    ['zz_views_lang', 'Country', 'Nazione'],
    ['zz_views_lang', 'Net to pay', 'Netto a pagare'],
    ['zz_views_lang', 'Name', 'Nome'],
    ['zz_views_lang', 'Account name', 'Nome account'],
    ['zz_views_lang', 'File name', 'Nome del file'],
    ['zz_views_lang', 'Displayed name', 'Nome visualizzato'],
    ['zz_views_lang', 'Notes', 'Note'],
    ['zz_views_lang', 'Number', 'Numero'],
    ['zz_views_lang', 'Customer order number', 'Numero ordine cliente'],
    ['zz_views_lang', 'Subject', 'Oggetto'],
    ['zz_views_lang', 'End time', 'Ora fine'],
    ['zz_views_lang', 'Start time', 'Ora inizio'],
    ['zz_views_lang', 'End time', 'orario_fine'],
    ['zz_views_lang', 'Start time', 'orario_inizio'],
    ['zz_views_lang', 'Order', 'Ordine'],
    ['zz_views_lang', 'Hours', 'Ore'],
    ['zz_views_lang', 'Remaining hours', 'Ore rimanenti'],
    ['zz_views_lang', 'Payment', 'Pagamento'],
    ['zz_views_lang', 'Customer payment', 'Pagamento cliente'],
    ['zz_views_lang', 'Supplier payment', 'Pagamento fornitore'],
    ['zz_views_lang', 'Paid', 'Pagato'],
    ['zz_views_lang', 'Real paid', 'pagato_reale'],
    ['zz_views_lang', 'Percentage', 'Percentuale'],
    ['zz_views_lang', 'Percentage profit or discount', 'Percentuale guadagno o sconto'],
    ['zz_views_lang', 'Taxable percentage', 'Percentuale imponibile'],
    ['zz_views_lang', 'Schedulable', 'Pianificabile'],
    ['zz_views_lang', 'Plugin', 'Plugin'],
    ['zz_views_lang', 'Previous run', 'Precedente esecuzione'],
    ['zz_views_lang', 'Default', 'Predefinita'],
    ['zz_views_lang', 'Default', 'Predefinito'],
    ['zz_views_lang', 'Quotation', 'Preventivo'],
    ['zz_views_lang', 'Purchase price', 'Prezzo di acquisto'],
    ['zz_views_lang', 'Selling price', 'Prezzo di vendita'],
    ['zz_views_lang', 'Unit price', 'Prezzo unitario'],
    ['zz_views_lang', 'VAT-included selling price', 'Prezzo vendita ivato'],
    ['zz_views_lang', 'Accounting entries', 'Prima nota'],
    ['zz_views_lang', 'Next run', 'Prossima esecuzione'],
    ['zz_views_lang', 'Quantity', 'Q.tà'],
    ['zz_views_lang', 'Available quantity', 'Q.tà disponibile'],
    ['zz_views_lang', 'Quantity committed', 'Q.tà impegnata'],
    ['zz_views_lang', 'Ordered quantity', 'Q.tà ordinata'],
    ['zz_views_lang', 'Quantity', 'Quantità'],
    ['zz_views_lang', 'Legal entity', 'Ragione sociale'],
    ['zz_views_lang', 'Rate', 'Rate'],
    ['zz_views_lang', 'Referent', 'Referente'],
    ['zz_views_lang', 'Referents', 'Referenti'],
    ['zz_views_lang', 'Reversed', 'Reversed'],
    ['zz_views_lang', 'Gross revenue', 'Ricavi'],
    ['zz_views_lang', 'Request', 'Richiesta'],
    ['zz_views_lang', 'Recurring', 'Ricorrente'],
    ['zz_views_lang', 'Invoice reference', 'Rif. fattura'],
    ['zz_views_lang', 'References', 'Riferimenti'],
    ['zz_views_lang', 'Renewable', 'Rinnovabile'],
    ['zz_views_lang', 'Balance', 'Saldo'],
    ['zz_views_lang', 'Due days', 'Scadenza giorni'],
    ['zz_views_lang', 'Expired', 'Scaduto'],
    ['zz_views_lang', 'Discount percentage', 'Sconto percentuale'],
    ['zz_views_lang', 'Destination', 'Sede destinazione'],
    ['zz_views_lang', 'Departure', 'Sede partenza'],
    ['zz_views_lang', 'Locations', 'Sedi'],
    ['zz_views_lang', 'Always visible', 'Sempre visibile'],
    ['zz_views_lang', 'Service', 'Servizio'],
    ['zz_views_lang', 'Sectional', 'Sezionale'],
    ['zz_views_lang', 'Subcategory', 'Sottocategoria'],
    ['zz_views_lang', 'Status', 'Stato'],
    ['zz_views_lang', 'License plate', 'Targa'],
    ['zz_views_lang', 'Technicians', 'Tecnici'],
    ['zz_views_lang', 'Assigned technicians', 'Tecnici assegnati'],
    ['zz_views_lang', 'Technician', 'Tecnico'],
    ['zz_views_lang', 'Phone', 'Telefono'],
    ['zz_views_lang', 'Themes', 'Temi'],
    ['zz_views_lang', 'Standard time', 'Tempo standard'],
    ['zz_views_lang', 'Attempts', 'Tentativi'],
    ['zz_views_lang', 'Type', 'Tipo'],
    ['zz_views_lang', 'Payment type', 'Tipo di pagamento'],
    ['zz_views_lang', 'Delivery type', 'Tipo spedizione'],
    ['zz_views_lang', 'Tipology', 'Tipologia'],
    ['zz_views_lang', 'Title', 'Titolo'],
    ['zz_views_lang', 'Document total', 'Totale documento'],
    ['zz_views_lang', 'Last modification', 'Ultima modifica'],
    ['zz_views_lang', 'Last attempt', 'Ultimo tentativo'],
    ['zz_views_lang', 'Measure unit', 'Um'],
    ['zz_views_lang', 'User', 'Utente'],
    ['zz_views_lang', 'Value', 'Valore'],
    ['zz_views_lang', 'Carrier', 'Vettore'],
];

foreach ($traduzioni as $traduzione) {
    $database->query('UPDATE '.$traduzione[0].' SET `name` = '.prepare($traduzione[1]).' WHERE `name` = '.prepare($traduzione[2]).' AND `id_lang` = 2');
}

$traduzioni = [
    // traduzione co_tipi_scadenze_lang
    ['co_tipi_scadenze_lang', 'Generic', 'generico', 'Generic'],
    ['co_tipi_scadenze_lang', 'Salaries', 'stipendio', 'Salaries'],
    // traduzioni mg_causali_movimenti_lang
    ['mg_causali_movimenti_lang', 'Load', 'Carico', 'Manual loading'],
    ['mg_causali_movimenti_lang', 'Unload', 'Scarico', 'Manual unloading'],
    ['mg_causali_movimenti_lang', 'Movement', 'SpostamentoManual movement'],
    // traduzione em_lists_lang
    ['em_lists_lang', 'All entities', 'Tutte le anagrafiche (Sedi legali)', 'Valid email addresses for each entities'],
    ['em_lists_lang', 'All contacts', 'Tutti i Referenti', 'Valid email addresses for each contacts'],
];

foreach ($traduzioni as $traduzione) {
    $database->query('UPDATE '.$traduzione[0].' SET `description` = '.prepare($traduzione[3]).' WHERE `name` = '.prepare($traduzione[2]).' AND `id_lang` = 2');
    $database->query('UPDATE '.$traduzione[0].' SET `name` = '.prepare($traduzione[1]).' WHERE `name` = '.prepare($traduzione[2]).' AND `id_lang` = 2');
}

$traduzioni = [
    // traduzione em_templates_lang
    ['em_templates_lang', 'Task report', 'Rapportino intervento', 'Submit report number {numero} of {data fine intervento}', 'Dear Customer,\nWe are sending attached the report number {numero} of {data fine intervento}.\nBest regards'],
    ['em_templates_lang', 'Quotation', 'Preventivo', 'Quotation number {numero} of {data}', '<p>Dear customer,</p><p>We are sending you the quotation number {numero} of {data} in attachment.</p><p>&nbsp;</p><p>Best regards</p>'],
    ['em_templates_lang', 'Contract', 'Contratto', 'Contract number {numero} of {data}', '<p>Dear customer,</p><p>We are sending you the contract number {numero} of {data} in attachment.</p><p>&nbsp;</p><p>Best regards</p>'],
    ['em_templates_lang', 'Order', 'Ordine', 'Order number {numero} of {data}', '<p>Dear customer,</p><p>We are sending you the order number {numero} of {data} in attachment.</p><p>&nbsp;</p><p>Best regards</p>'],
    ['em_templates_lang', 'Invoice', 'Fattura', 'Invoice number {numero} of {data}', '<p>Dear customer,</p><p>We are sending you the invoice number {numero} of {data} in attachment.</p><p>&nbsp;</p><p>Best regards</p>'],
    ['em_templates_lang', 'Document of transport', 'Ddt', 'Document number {numero} of {data}', '<p>Dear customer,</p><p>We are sending you the document of transport number {numero} of {data} in attachment.</p><p>&nbsp;</p><p>Best regards</p>'],
    ['em_templates_lang', 'Final cost of contract', 'Consuntivo contratto', 'Final cost of contract number {numero} of {data}', '<p>Dear customer,</p><p>We are sending you the final costs of the contract number {numero} of {data} in attachment.</p><p>&nbsp;</p><p>Best regards</p>'],
    ['em_templates_lang', 'Final costs of quotation', 'Consuntivo preventivo', 'Final cost of quotation number {numero} of {data}', '<p>Dear customer,</p><p>We are sending you the final costs about quotation number {numero} of {data} in attachment.</p><p>&nbsp;</p><p>Best regards</p>'],
    ['em_templates_lang', 'Task notification', 'Notifica intervento', 'Task notification number {numero} of {data}', '<p>Dear Technician,</p><p>A new task {numero} on {data} has been created.</p><p>&nbsp;</p><p>Best regards</p>'],
    ['em_templates_lang', 'Task removal notification', 'Notifica rimozione intervento', 'Task removal notification number {numero} of {data}', '<p>Dear Technician,</p><p>You have been removed from task {numero} on {data}.</p><p>&nbsp;</p><p>Best regards</p>'],
    ['em_templates_lang', 'Task status', 'Stato intervento', 'Task number {numero} of {data}: {stato}', '<p>Dear User,</p><p>The task {numero} on {data} has been moved to the status {stato}.</p>'],
    ['em_templates_lang', 'PEC', 'PEC', 'Invoice number {numero} of {data}', '<p>Dear Customer,</p><p>We are sending you the invoice number {numero} of {data} in attachment.</p><p>&nbsp;</p><p>Best regards</p>'],
    ['em_templates_lang', 'Payment reminder', 'Sollecito di pagamento', 'Payment reminder number {numero} of {data}', '<p>Dear {ragione_sociale},</p><p>We would like to provide you with a follow-up accounting statement, and it appears that the invoice number {numero} is overdue and due for payment in the amount of Euro {totale}. The invoice was issued to you.</p><p>We kindly request that you take immediate action to address your outstanding accounting situation. In order to settle the matter, payment can be made through {pagamento}.</p><p>If you have already made the payment, please disregard this message.</p><p>&nbsp;</p><p>We thank you and wish you our best regards.</p>'],
    ['em_templates_lang', 'Password reset', 'Reset password', 'Password reset request', '<p>Dear {username},</p><p>Following your request to reset the password for your account, please enter the new password you wish to use at the following link:</p><p class=\"text-center\"><a href=\"{reset_link}\">{reset_link}</a></p><p>&nbsp;</p><p>If you are not the one who requested this password reset, please contact the administrator immediately to request a username change.</p><p>&nbsp;</p><p>Best regards</p>'],
    ['em_templates_lang', 'Payment reminder grouped by entity', 'Sollecito di pagamento raggruppato per anagrafica', 'Payment reminder', '<p>Dear {ragione_sociale},</p><p>We would like to provide you with a follow-up accounting statement, and it appears that the following invoices are overdue:</p><p>{scadenze_fatture_scadute}</p><p>We kindly request that you take immediate action to address your outstanding accounting situation.</p><p>If you have already made the payment, please disregard this message.</p><p>&nbsp;</p><p>We thank you and wish you our best regards.</p>'],
];

foreach ($traduzioni as $traduzione) {
    $database->query('UPDATE '.$traduzione[0].' SET `subject` = '.prepare($traduzione[3]).' WHERE `name` = '.prepare($traduzione[2]).' AND `id_lang` = 2');
    $database->query('UPDATE '.$traduzione[0].' SET `body` = '.prepare($traduzione[4]).' WHERE `name` = '.prepare($traduzione[2]).' AND `id_lang` = 2');
    $database->query('UPDATE '.$traduzione[0].' SET `name` = '.prepare($traduzione[1]).' WHERE `name` = '.prepare($traduzione[2]).' AND `id_lang` = 2');
}

$traduzioni = [
    // traduzione zz_prints_lang
    ['zz_prints_lang', 'Sales invoice', 'Fattura di vendita', '{tipo_documento} num. {numero} of {data}'],
    ['zz_prints_lang', 'Balance', 'Bilancio', 'Balance'],
    ['zz_prints_lang', 'Final costs of contract', 'Consuntivo contratto', 'Final costs of contract num. {numero} of {data}'],
    ['zz_prints_lang', 'Final costs of contract (without costs)', 'Consuntivo contratto (senza costi)', 'Final costs of contract num. {numero} of {data}'],
    ['zz_prints_lang', 'Internal final costs of contract', 'Consuntivo contratto interno', 'Internal final costs of contract num. {numero} of {data}'],
    ['zz_prints_lang', 'Final costs of order', 'Consuntivo ordine', 'Final costs of order num. {numero} of {data}'],
    ['zz_prints_lang', 'Final costs of quotation', 'Consuntivo preventivo', 'Final costs of quotation num. {numero} of {data}'],
    ['zz_prints_lang', 'Final costs of quotation (without costs)', 'Consuntivo preventivo (senza costi)', 'Final costs of quotation num. {numero} of {data}'],
    ['zz_prints_lang', 'Internal final costs of quotation', 'Consuntivo preventivo interno', 'Internal final costs of quotation num. {numero} of {data}'],
    ['zz_prints_lang', 'Contract', 'Contratto', 'Contract num. {numero} of {data}'],
    ['zz_prints_lang', 'Contract (without costs)', 'Contratto (senza costi)', 'Contract num. {numero} of {data}'],
    ['zz_prints_lang', 'Company data', 'Dati aziendali', 'Company data {ragione_sociale}'],
    ['zz_prints_lang', 'Purchase order transport document', 'Ddt di acquisto', 'Purchase order transport document num. {numero} of {data}'],
    ['zz_prints_lang', 'Sales order transport document', 'Ddt di vendita', 'Sales order transport document num. {numero} of {data}'],
    ['zz_prints_lang', 'Sales order transport document (without costs)', 'Ddt di vendita (senza costi)', 'Sales order transport document num. {numero} of {data}'],
    ['zz_prints_lang', 'Entity details', 'Dettaglio anagrafica', 'Entity {codice} - {ragione_sociale}'],
    ['zz_prints_lang', 'Sales invoice (without header)', 'Fattura di vendita (senza intestazione)', 'Invoice num. {numero} of {data}'],
    ['zz_prints_lang', 'Purchase electronic invoice', 'Fattura elettronica di acquisto', 'Purchase electronic invoice num. {numero} of {data}'],
    ['zz_prints_lang', 'Sales electronic invoice', 'Fattura elettronica di vendita', 'Sales electronic invoice num. {numero} of {data}'],
    ['zz_prints_lang', 'Revenue', 'Fatturato', 'Revenue'],
    ['zz_prints_lang', 'Vehicles stock', 'Giacenza automezzi', 'Vehicles stock'],
    ['zz_prints_lang', 'Daily vehicles stock', 'Giacenza odierna automezzi', 'Vehicle stock'],
    ['zz_prints_lang', 'Task', 'Intervento', 'Task num. {numero} of {data}'],
    ['zz_prints_lang', 'Task & checklist', 'Intervento & checklist', 'Task num. {numero} of {data}'],
    ['zz_prints_lang', 'Task (without costs)', 'Intervento (senza costi)', 'Task num. {numero} of {data}'],
    ['zz_prints_lang', 'Task & checklist (without costs)', 'Intervento & checklist (senza costi)', 'Task num. {numero} of {data}'],
    ['zz_prints_lang', 'Fixed asset inventory record', 'Inventario cespiti', 'Fixed asset'],
    ['zz_prints_lang', 'Inventory', 'Inventario magazzino', 'Inventory'],
    ['zz_prints_lang', 'VAT liquidation', 'Liquidazione IVA', 'VAT liquidation'],
    ['zz_prints_lang', 'Customer selling order', 'Ordine cliente', 'Customer selling order num. {numero} of {data}'],
    ['zz_prints_lang', 'Customer selling order (without costs)', 'Ordine cliente (senza costi)', 'Customer selling order num. {numero} of {data}'],
    ['zz_prints_lang', 'Customer selling order (without codes)', 'Ordine cliente (senza codici)', 'Customer selling order num. {numero} of {data}'],
    ['zz_prints_lang', 'Purchase offer request', 'Ordine fornitore', 'Purchase offer request num. {numero} of {data}'],
    ['zz_prints_lang', 'Purchase offer request (without costs)', 'Ordine fornitore (senza costi)', 'Purchase offer request num. {numero} of {data}'],
    ['zz_prints_lang', 'Quotation', 'Preventivo', 'Quotation num. {numero} of {data}'],
    ['zz_prints_lang', 'Quotation (without costs)', 'Preventivo (senza costi)', 'Quotation num. {numero} of {data}'],
    ['zz_prints_lang', 'Quotation (without codes)', 'Preventivo (senza codici)', 'Quotation num. {numero} of {data}'],
    ['zz_prints_lang', 'Quotation (without totals)', 'Preventivo (senza totali)', 'Quotation num. {numero} of {data}'],
    ['zz_prints_lang', 'Quotation (total only)', 'Preventivo (solo totale)', 'Quotation num. {numero} of {data}'],
    ['zz_prints_lang', 'Quotation (taxable amount only)', 'Preventivo (solo totale imponibile)', 'Quotation num. {numero} of {data} rev {revisione}'],
    ['zz_prints_lang', 'Commissions', 'Provvigioni', 'Commissions {ragione_sociale}'],
    ['zz_prints_lang', 'VAT registry', 'Registro IVA', 'VAT registry for {tipo}'],
    ['zz_prints_lang', 'Tasks summary', 'Riepilogo interventi', 'Tasks summary'],
    ['zz_prints_lang', 'Deadline', 'Scadenza', 'Deadline'],
    ['zz_prints_lang', 'Deadline', 'Scadenzario', 'Deadline'],
    ['zz_prints_lang', 'Print calendar', 'Stampa calendario', 'Calendar'],
    ['zz_prints_lang', 'Print weekly calendar', 'Stampa calendario settimanale', 'Weekly calendar'],
];

foreach ($traduzioni as $traduzione) {
    $database->query('UPDATE '.$traduzione[0].' SET `title` = '.prepare($traduzione[1]).' WHERE `name` = '.prepare($traduzione[2]).' AND `id_lang` = 2');
    $database->query('UPDATE '.$traduzione[0].' SET `filename` = '.prepare($traduzione[3]).' WHERE `name` = '.prepare($traduzione[2]).' AND `id_lang` = 2');
    $database->query('UPDATE '.$traduzione[0].' SET `name` = '.prepare($traduzione[1]).' WHERE `name` = '.prepare($traduzione[2]).' AND `id_lang` = 2');
}

$traduzioni = [
    // traduzione zz_settings_lang
    ['zz_settings_lang', 'Activate beta-versions download', 'Abilita canale pre-release per aggiornamenti', 'Allows retrieving unstable updates from the pre-release channel of the management system.'],
    ['zz_settings_lang', 'Enable export to Excel and PDF', 'Abilita esportazione Excel e PDF', 'Enables exporting views in xlsx and pdf formats as well.'],
    ['zz_settings_lang', 'Enable modification of other technicians', 'Abilita la modifica di altri tecnici', ''],
    ['zz_settings_lang', 'Charge stamp duty to the customer', 'Addebita marca da bollo al cliente', ''],
    ['zz_settings_lang', 'Update purchase info', 'Aggiorna info di acquisto', ''],
    ['zz_settings_lang', 'Add line notes between documents', 'Aggiungi le note delle righe tra documenti', 'Allows reporting row notes during importation between documents.'],
    ['zz_settings_lang', 'Add document reference', 'Aggiungi riferimento tra documenti', 'Allows adding the document reference in the description of the imported row.'],
    ['zz_settings_lang', 'Technician occupation alert', 'Alert occupazione tecnici', ''],
    ['zz_settings_lang', 'Attach business invoice printing', 'Allega stampa per fattura verso Aziende', ''],
    ['zz_settings_lang', 'Attach PA invoice printing', 'Allega stampa per fattura verso PA', ''],
    ['zz_settings_lang', 'Attach private invoice printing', 'Allega stampa per fattura verso Privati', ''],
    ['zz_settings_lang', 'apilayer API key for VAT number', 'apilayer API key for VAT number', ''],
    ['zz_settings_lang', 'Enable updates', 'Attiva aggiornamenti', ''],
    ['zz_settings_lang', 'Enable user presence notification on record', 'Attiva notifica di presenza utenti sul record', ''],
    ['zz_settings_lang', 'Enable keyboard shortcuts', 'Attiva scorciatoie da tastiera', ''],
    ['zz_settings_lang', 'Authorization ID Indice PA', 'Authorization ID Indice PA', ''],
    ['zz_settings_lang', 'Form autocompletion', 'Autocompletamento form', ''],
    ['zz_settings_lang', 'Default company', 'Azienda predefinita', ''],
    ['zz_settings_lang', 'Automatic backup', 'Backup automatico', 'If enabled, a complete backup of the management system is performed according to the settings defined in zz_tasks (by default every day).t'],
    ['zz_settings_lang', 'Block prices lower than sales minimum', 'Bloccare i prezzi inferiori al minimo di vendita', ''],
    ['zz_settings_lang', 'Automatically change the status of billed transport document', 'Cambia automaticamente stato ddt fatturati', ''],
    ['zz_settings_lang', 'Automatically change the status of billed orders', 'Cambia automaticamente stato ordini fatturati', ''],
    ['zz_settings_lang', 'Default provident fund cash', 'Cassa previdenziale predefinita', ''],
    ['zz_settings_lang', 'Advance payment reason', 'Causale ritenuta d\'acconto', ''],
    ['zz_settings_lang', 'Decimal places for amounts', 'Cifre decimali per importi', ''],
    ['zz_settings_lang', 'Custom CSS', 'CSS Personalizzato', ''],
    ['zz_settings_lang', 'Decimal places for amounts in printing', 'Cifre decimali per importi in stampa', 'Defines the number of decimal places for amounts in print templates.'],
    ['zz_settings_lang', 'Decimal places for quantities', 'Cifre decimali per quantità', ''],
    ['zz_settings_lang', 'Decimal places for quantities in printing', 'Cifre decimali per quantità in stampa', 'Defines the number of decimal places for quantities in print templates.'],
    ['zz_settings_lang', 'Decimal places for totals in printing', 'Cifre decimali per totali in stampa', 'Defines the number of decimal places for totals in print templates.'],
    ['zz_settings_lang', 'General supply contract terms', 'Condizioni generali di fornitura contratti', ''],
    ['zz_settings_lang', 'General supply quotation terms', 'Condizioni generali di fornitura preventivi', ''],
    ['zz_settings_lang', 'Automatically confirm quantities in customer orders', 'Conferma automaticamente le quantità negli ordini cliente', ''],
    ['zz_settings_lang', 'Automatically confirm quantities in supplier orders', 'Conferma automaticamente le quantità negli ordini fornitore', ''],
    ['zz_settings_lang', 'Automatically confirm quantities in quotations', 'Conferma automaticamente le quantità nei preventivi', ''],
    ['zz_settings_lang', 'Customer advance account', 'Conto anticipo clienti', ''],
    ['zz_settings_lang', 'Supplier advance account', 'Conto anticipo fornitori', ''],
    ['zz_settings_lang', 'Default company account', 'Conto aziendale predefinito', ''],
    ['zz_settings_lang', 'Second-level account for customer credits', 'Conto di secondo livello per i crediti clienti', ''],
    ['zz_settings_lang', 'Second-level account for supplier debts', 'Conto di secondo livello per i debiti fornitori', ''],
    ['zz_settings_lang', 'Account for opening balance sheet accounts', 'Conto per Apertura conti patrimoniali', ''],
    ['zz_settings_lang', 'Account for self-billing', 'Conto per autofattura', ''],
    ['zz_settings_lang', 'Account for closing balance sheet accounts', 'Conto per Chiusura conti patrimoniali', ''],
    ['zz_settings_lang', 'Account for tax authority with enasarco', 'Conto per Erario c/enasarco', ''],
    ['zz_settings_lang', 'Account for tax authority with INPS', 'Conto per Erario c/INPS', ''],
    ['zz_settings_lang', 'Account for tax authority with withholding tax', 'Conto per Erario c/ritenute d\'acconto', ''],
    ['zz_settings_lang', 'Account for non-deductible VAT', 'Conto per Iva indetraibile', ''],
    ['zz_settings_lang', 'Account for VAT on purchases', 'Conto per Iva su acquisti', ''],
    ['zz_settings_lang', 'Account for VAT on sales', 'Conto per Iva su vendite', ''],
    ['zz_settings_lang', 'Create renewable default contract', 'Crea contratto rinnovabile di default', 'Enabling this setting will automatically set new contracts created as Renewable.'],
    ['zz_settings_lang', 'Serial creation in electronic invoices importation', 'Creazione seriali in import FE', 'Determines the default value of the Serial Creation setting during the import of an electronic invoice.'],
    ['zz_settings_lang', 'Automatic invoice emission date', 'Data emissione fattura automatica', 'Automatically modify the emission date of an invoice at the moment of its emission, setting the subsequent date after the last issued invoice.'],
    ['zz_settings_lang', 'Invoice description planned', 'Descrizione fattura pianificata', ''],
    ['zz_settings_lang', 'Custom description in invoices', 'Descrizione personalizzata in fatturazione', 'Variables available: \n {email}\n {numero}\n {ragione_sociale}\n {richiesta}\n {descrizione}\n {data}\n {data richiesta}\n {data fine intervento}\n {id_anagrafica}\n {stato}\n'],
    ['zz_settings_lang', 'Fixed invoice label', 'Dicitura fissa fattura', ''],
    ['zz_settings_lang', 'Default widget size', 'Dimensione widget predefinita', ''],
    ['zz_settings_lang', 'Expand the \"Additional Details\" section automatically', 'Espandi automaticamente la sezione \"Dettagli aggiuntivi\"', ''],
    ['zz_settings_lang', 'Watermark prints', 'Filigrana stampe', ''],
    ['zz_settings_lang', 'End of calendar period', 'Fine periodo calendario', ''],
    ['zz_settings_lang', 'Format of entity code', 'Formato codice anagrafica', ''],
    ['zz_settings_lang', 'Predefined sales invoice account', 'Conto predefinito fatture di vendita', ''],
    ['zz_settings_lang', 'Predefined purchase invoice account', 'Conto predefinito fatture di acquisto', ''],
    ['zz_settings_lang', 'Printing time format', 'Formato ore in stampa', ''],
    ['zz_settings_lang', 'Default advance notice days', 'Giorni di preavviso di default', 'Enter the number of days of notice to be automatically set at the creation of a contract.'],
    ['zz_settings_lang', 'Working days', 'Giorni lavorativi', ''],
    ['zz_settings_lang', 'Google Maps API key for Technicians', 'Google Maps API key per Tecnici', ''],
    ['zz_settings_lang', 'Stamp duty amount', 'Importo marca da bollo', ''],
    ['zz_settings_lang', 'Start of calendar period', 'Inizio periodo calendario', ''],
    ['zz_settings_lang', 'Automatic request sending', 'Invio solleciti in automatico', 'Automatically send emails at a certain time according to the abilities defined in the settings.'],
    ['zz_settings_lang', 'VAT for letters of intent', 'Iva per lettere d\'intento', ''],
    ['zz_settings_lang', 'Default VAT', 'Iva predefinita', ''],
    ['zz_settings_lang', 'Wacom SDK license - Key', 'Licenza Wacom SDK - Key', ''],
    ['zz_settings_lang', 'Wacom SDK license - Secret', 'Licenza Wacom SDK - Secret', ''],
    ['zz_settings_lang', 'Language', 'Lingua', 'Select the default language of the software.'],
    ['zz_settings_lang', 'VAT settlement', 'Liquidazione iva', ''],
    ['zz_settings_lang', 'Default customer price list', 'Listino cliente predefinito', 'During the creation of a customer profile, automatically attach the catalog to the customer profile itself.'],
    ['zz_settings_lang', 'Print logo', 'Logo stampe', ''],
    ['zz_settings_lang', 'Wacom signature brightness', 'Luminosità firma Wacom', ''],
    ['zz_settings_lang', 'Page length of Datatables buffer', 'Lunghezza in pagine del buffer Datatables', 'Attention, higher values correspond to worse performance.'],
    ['zz_settings_lang', 'Page length for API', 'Lunghezza pagine per API', ''],
    ['zz_settings_lang', 'Warehouse assets', 'Magazzino cespiti', 'Asset warehouse for printing assets from the articles module'],    ['zz_settings_lang', 'Maintain references across all linked documents', 'Mantieni riferimenti tra tutti i documenti collegati', 'Allows the addition of references to all linked documents'],
    ['zz_settings_lang', 'Months for Activity history', 'Mesi per lo storico delle Attività', ''],
    ['zz_settings_lang', 'Default calculation methodology for withholding tax', 'Metodologia calcolo ritenuta d\'acconto predefinito', ''],
    ['zz_settings_lang', 'Modify default views', 'Modifica Viste di default', ''],
    ['zz_settings_lang', 'Show prices to technicians', 'Mostra i prezzi al tecnico', ''],
    ['zz_settings_lang', 'Show prices', 'Mostra prezzi', ''],
    ['zz_settings_lang', 'Move warehouse during insertion or deletion of lots/serial numbers', 'Movimenta il magazzino durante l\'inserimento o eliminazione dei lotti/serial number', 'Enable automatic serial number at the moment of creating an article from the Warehouse or importing a purchase invoice'],
    ['zz_settings_lang', 'Move warehouse from purchase invoices', 'Movimenta magazzino da fatture di acquisto', ''],
    ['zz_settings_lang', 'Hide default plugin bar', 'Nascondere la barra dei plugin di default', ''],
    ['zz_settings_lang', 'Hide default left bar', 'Nascondere la barra sinistra di default', ''],
    ['zz_settings_lang', 'Notify technician of session addition to activity', 'Notifica al tecnico l\'aggiunta della sessione nell\'attività', 'Notify the technician via email about the new work sessions assigned to them (the email address must be specified in their profile).'],
    ['zz_settings_lang', 'Notify technician of assignment to activity', 'Notifica al tecnico l\'assegnazione all\'attività', 'Notify the technician via email about the assignment of a new task (the email address must be specified in their profile).'],
    ['zz_settings_lang', 'Notify technician of assignment removal from activity', 'Notifica al tecnico la rimozione dell\'assegnazione dall\'attività', 'Notify the technician via email about the removal of the assignment from the task (the email address must be specified in their profile).'],
    ['zz_settings_lang', 'Notify technician of session removal from activity', 'Notifica al tecnico la rimozione della sessione dall\'attività', 'Notify the technician via email about the removal from the work sessions that were assigned to them (the email address must be specified in their profile).'],
    ['zz_settings_lang', 'Number of backups to keep', 'Numero di backup da mantenere', ''],
    ['zz_settings_lang', 'Number of days to maintain send queue', 'Numero di giorni mantenimento coda di invio', 'The setting is only valid for the deletion of the newsletter sending queue.'],
    ['zz_settings_lang', 'Number of minutes for activity session advancement', 'Numero di minuti di avanzamento delle sessioni delle attività', 'Specify by how many minutes to increase or decrease the work sessions for the tasks.'],
    ['zz_settings_lang', 'Number of emails to send concurrently per account', 'Numero email da inviare in contemporanea per account', 'Number of emails to send from the sending queue at a time for each email account.'],
    ['zz_settings_lang', 'Maximum number of attempts', 'Numero massimo di tentativi', 'Maximum number of attempts to try to send an email.'],
    ['zz_settings_lang', 'End time on the calendar', 'Ora fine sul calendario', ''],
    ['zz_settings_lang', 'Start time on the calendar', 'Ora inizio sul calendario', ''],
    ['zz_settings_lang', 'OSMCloud Services API Token', 'OSMCloud Services API Token', ''],
    ['zz_settings_lang', 'OSMCloud Services API URL', 'OSMCloud Services API URL', ''],
    ['zz_settings_lang', 'OSMCloud Services API Version', 'OSMCloud Services API Version', ''],
    ['zz_settings_lang', 'Allow billing of activities linked to contracts', 'Permetti fatturazione delle attività collegate a contratti', ''],
    ['zz_settings_lang', 'Allow billing of activities linked to orders', 'Permetti fatturazione delle attività collegate a ordini', ''],
    ['zz_settings_lang', 'Allow billing of activities linked to quotes', 'Permetti fatturazione delle attività collegate a preventivi', ''],
    ['zz_settings_lang', 'Allow restoration of backup from external files', 'Permetti il ripristino di backup da file esterni', 'Enable the possibility of restoring backups from external archives to the management system.'],
    ['zz_settings_lang', 'Allow exceeding the quantity threshold of source documents', 'Permetti il superamento della soglia quantità dei documenti di origine', ''],
    ['zz_settings_lang', 'Allow insertion of sessions by other technicians', 'Permetti inserimento sessioni degli altri tecnici', 'Allows the technician to enter work sessions for other technicians as well'],
    ['zz_settings_lang', 'Allow access to administrators', 'Permetti l\'accesso agli amministratori', ''],
    ['zz_settings_lang', 'Allow selection of items with quantity less than or equal to zero in Sales Documents', 'Permetti selezione articoli con quantità minore o uguale a zero in Documenti di Vendita', 'Sales documents such as invoices, delivery notes, and tasks'],
    ['zz_settings_lang', 'Currency symbol position', 'Posizione del simbolo valuta', ''],
    ['zz_settings_lang', 'First page', 'Prima pagina', ''],
    ['zz_settings_lang', 'Tax regime', 'Regime Fiscale', ''],
    ['zz_settings_lang', 'Document reference in Electronic Invoice', 'Riferimento dei documenti in Fattura Elettronica', ''],
    ['zz_settings_lang', 'Remove foreign invoice warning', 'Rimuovi avviso fatture estere', 'Enable to remove the alert for foreign electronic invoices to be sent, in case the foreign electronic invoices are not sent.'],
    ['zz_settings_lang', 'Delay in days since last email sent for payment reminder', 'Ritardo in giorni dall\'ultima email per invio sollecito pagamento', ''],
    ['zz_settings_lang', 'Delay in days since invoice due date for payment reminder', 'Ritardo in giorni della scadenza della fattura per invio sollecito pagamento', ''],
    ['zz_settings_lang', 'Default withholding tax', 'Ritenuta d\'acconto predefinita', ''],
    ['zz_settings_lang', 'Previdencial withholding tax', 'Ritenuta previdenziale predefinita', ''],
    ['zz_settings_lang', 'Second timeout Wacom tablet', 'Secondi timeout tavoletta Wacom', 'Defines the number of seconds before the timeout of the Wacom tablet.'],
    ['zz_settings_lang', 'Enable serial number by default', 'Serial number abilitato di default', ''],
    ['zz_settings_lang', 'Purchase invoice section', 'Sezionale per autofatture di acquisto', ''],
    ['zz_settings_lang', 'Sale invoice section', 'Sezionale per autofatture di vendita', ''],
    ['zz_settings_lang', 'Wacom tablet background', 'Sfondo firma tavoletta Wacom', ''],
    ['zz_settings_lang', 'Sync only customers worked by technician in the past', 'Sincronizza solo i Clienti per cui il Tecnico ha lavorato in passato', ''],
    ['zz_settings_lang', 'Signature system', 'Sistema di firma', 'Select the signature system for the documents.'],
    ['zz_settings_lang', 'Soft quota', 'Soft quota', 'The value expressed in gigabytes exceeded which will result in a warning of space exhaustion.'],
    ['zz_settings_lang', 'Minimum threshold for stamp application', 'Soglia minima per l\'applicazione della marca da bollo', ''],
    ['zz_settings_lang', 'Print preview and sign', 'Stampa per anteprima e firma', ''],
    ['zz_settings_lang', 'Close activity status', 'Stato dell\'attività alla chiusura', 'Status in which to move the task after closure.'],
    ['zz_settings_lang', 'Signed activity status', 'Stato dell\'attività dopo la firma', 'State in which to move the task after the customer signs.'],
    ['zz_settings_lang', 'Default activity status', 'Stato predefinito dell\'attività', ''],
    ['zz_settings_lang', 'Default activity status from Dashboard', 'Stato predefinito dell\'attività da Dashboard', ''],
    ['zz_settings_lang', 'Reminder email template', 'Template email invio sollecito', ''],
    ['zz_settings_lang', 'Search time delay (seconds)', 'Tempo di attesa ricerche in secondi', ''],
    ['zz_settings_lang', 'Default snap activity status on calendar', 'Tempo predefinito di snap attività sul calendario', 'It is used in the format of Fullcalendar: hh:mm:ss'],
    ['zz_settings_lang', 'Intermediary', 'Terzo intermediario', 'Supplier, my authorized intermediary for sending electronic invoices (e.g. Aruba, Teamsystem, etc...)t'],
    ['zz_settings_lang', 'OpenStreetMap tile server', 'Tile server OpenStreetMap', ''],
    ['zz_settings_lang', 'Presence notification timeout (minutes)', 'Timeout notifica di presenza (minuti)', ''],
    ['zz_settings_lang', 'Previdencial box type', 'Tipo Cassa Previdenziale', 'Defines the type of refund'],
    ['zz_settings_lang', 'Default payment type', 'Tipo di pagamento predefinito', ''],
    ['zz_settings_lang', 'Default discount type', 'Tipo di sconto predefinito', ''],
    ['zz_settings_lang', 'Total tables restricted to selection', 'Totali delle tabelle ristretti alla selezione', ''],
    ['zz_settings_lang', 'Use sales prices inclusive of VAT', 'Utilizza prezzi di vendita comprensivi di IVA', 'Enable management with VAT-inclusive amounts for sales prices'],
    ['zz_settings_lang', 'Use tooltips on the calendar', 'Utilizzare i tooltip sul calendario', ''],
    ['zz_settings_lang', 'Currency', 'Valuta', ''],
    ['zz_settings_lang', 'Check intervention number', 'Verifica numero intervento', 'Display the message that verifies the continuity of numbers for the activities.'],
    ['zz_settings_lang', 'Dashboard view', 'Vista dashboard', ''],
    ['zz_settings_lang', 'Show additional information on the calendar', 'Visualizza informazioni aggiuntive sul calendario', 'Display on the calendar the All-day box where additional information can be present.'],
    ['zz_settings_lang', 'Show reminders', 'Visualizza promemoria', ''],
    ['zz_settings_lang', 'Show reference on each line in print', 'Visualizza riferimento su ogni riga in stampa', 'If disabled, groups the reference to attached documents in a single row, if enabled reports the references to documents in each row.'],
    ['zz_settings_lang', 'Show only assigned reminders', 'Visualizza solo promemoria assegnati', 'If enabled, allows technicians to view only the reminders in which they are assigned.'],
    ['zz_settings_lang', 'Display Sunday on the calendar', 'Visualizzare la domenica sul calendario', ''],
    ['zz_settings_lang', 'Session color display', 'Visualizzazione colori sessioni', ''],
    ['zz_settings_lang', 'Group activities by type on invoice', 'Raggruppa attività per tipologia in fattura', ''],
    ['zz_settings_lang', 'Days validity of discarded invoice', 'Giorni validità fattura scartata', 'Number of days available to correct a rejected invoice by the SDI before its invoice number can no longer be used. Once the indicated days have passed, it is necessary to issue a new invoice, and it will be marked as \'Invalid\'.'],
    ['zz_settings_lang', 'Stamp duty description', 'Descrizione addebito bollo', ''],
    ['zz_settings_lang', 'Default account for stamp duty', 'Conto predefinito per la marca da bollo', ''],
    ['zz_settings_lang', 'Summary account for suppliers', 'Conto per Riepilogativo fornitori', ''],
    ['zz_settings_lang', 'Summary account for customers', 'Conto per Riepilogativo clienti', ''],
    ['zz_settings_lang', 'Segment for auto-invoices (sale)', 'Sezionale per autofatture di vendita', ''],
    ['zz_settings_lang', 'Segment for auto-invoices (purchase)', 'Sezionale per autofatture di acquisto', ''],
    ['zz_settings_lang', 'Start date of controls on electronic invoices status', 'Data inizio controlli su stati FE', ''],
    ['zz_settings_lang', 'Delay in days of the invoice due date for requested payment', 'Ritardo in giorni della scadenza della fattura per invio sollecito pagamento', ''],
    ['zz_settings_lang', 'Wacom signature contract', 'Contrasto firma Wacom', ''],
    ['zz_settings_lang', 'Start date of sales invoice counter verification', 'Data inizio verifica contatore fattura di vendita', ''],
    ['zz_settings_lang', 'Quotation default exclusions', 'Esclusioni default preventivi', ''],
];

foreach ($traduzioni as $traduzione) {
    $database->query('UPDATE '.$traduzione[0].' SET `help` = '.prepare($traduzione[3]).' WHERE `title` = '.prepare($traduzione[2]).' AND `id_lang` = 2');
    $database->query('UPDATE '.$traduzione[0].' SET `title` = '.prepare($traduzione[1]).' WHERE `title` = '.prepare($traduzione[2]).' AND `id_lang` = 2');
}
